## Company Details
This section displays all pertinent information relating to companies. such as long name, short name, company Identification number, and the ID of the individual that created this record within our database. While this section might currently seem sparse, we are always adding new data to our help support our user's transactions. If you have a recommendation for the McQuilling Search Client Application, please submit a ticket to ICT.US.

## Company Emails

Like documents, many record types can attach emails; emails filed with the application become tagged in the front email client. This means emails in front can be easily searched for and can also contain a link to the port record. Since emails are used to communicate new information about company transactions, filed emails usually give the most recent record of events occurring at that company.
 Company emails are separated into multiple folders, each folder would ideally contain a particular type of information. New folders can be easily created by clicking on the New Folder button located in the header of the application. Once created a user can navigate from folder to folder by clicking the name of the current folder, also located in the header of the application; once clicked a list of all attached folders will render. By clicking on the folder the user wants, a list of emails currently in the requested folder will appear. 
Emails will render in rows, each email will list the display company, the description, and the message date; to view additional information, click the email. The email will reveal an additional section with metadata about the email, along with two buttons. From this point, a user can either view that email in its native client or move the email into a different folder attached to the record.

![alt text](./media/PortEmails.png "Title")

To attach a new email to the record, first, navigate to the appropriate folder for the email; this is done by clicking on the current folder's name located in the header. A list of folders associated with the port record will appear, select the appropriate folder. Then open the front email client and find the email, then drag the corresponding email on the interface, the screen will darken, and then drop the email on this darkened screen. A pop-up will appear asking for a description of the email, enter a description and press ok; this will send a background task that will ultimately file the email to the selected folder.